FormattedValueTextStamp = function(canvas, rect, value, formatter, ...)
    local realFormatter = formatter and formatter:getFormatter()
    local text = (realFormatter and realFormatter:format(value, unpack(formatter:getArguments()))) or value
    TextStamp(canvas, rect, text, ...)
end

return FormattedValueTextStamp
